## org.apache.solr.client.solrj.response
Class SpellCheckResponse.Collation

    java.lang.Object
      org.apache.solr.client.solrj.response.SpellCheckResponse.Collation

Enclosing class:
  SpellCheckResponse

    public class SpellCheckResponse.Collation

extends Object

Constructor Summary
`SpellCheckResponse.Collation()`

Method Summary
`SpellCheckResponse.Collation` `addMisspellingsAndCorrection(SpellCheckResponse.Correction correction)`
`String` `getCollationQueryString()`
`List<SpellCheckResponse.Correction>` `getMisspellingsAndCorrections()`
`long` `getNumberOfHits()`
`SpellCheckResponse.Collation` `setCollationQueryString(String collationQueryString)`
`void` `setNumberOfHits(long numberOfHits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellCheckResponse.Collation

    public SpellCheckResponse.Collation()

Method Detail

### getNumberOfHits

    public long getNumberOfHits()

### setNumberOfHits

    public void setNumberOfHits(long numberOfHits)

### getCollationQueryString

    public String getCollationQueryString()

### setCollationQueryString

    public SpellCheckResponse.Collation setCollationQueryString(String collationQueryString)

### getMisspellingsAndCorrections

    public List<SpellCheckResponse.Correction> getMisspellingsAndCorrections()

### addMisspellingsAndCorrection

    public SpellCheckResponse.Collation addMisspellingsAndCorrection(SpellCheckResponse.Correction correction)

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.